{ config, lib, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # Monitoring
    htop
    # Password management
    gnupg
    pass-wayland
    passff-host
    gitAndTools.pass-git-helper
    pinentry-gtk2
    # Browsers
    firefox
    chromium
    # LaTeX
    texlive.combined.scheme-full
    pandoc
    haskellPackages.pandoc-citeproc
    # Text editors
    neovim
    emacs
    ripgrep
    fd
    clang
    coreutils
    # Terminals
    tmux
    tmuxp
    fish
    # Development
    git
    direnv
    lorri
    nixfmt
    podman-compose
    shellcheck
    shfmt
    android-studio
    gnumake
    # Rice
    adapta-gtk-theme
    paper-icon-theme
    # Audio
    mopidy
    ncmpcpp
    mpc_cli
    alsa-firmware
    # Productivity
    fff
    zathura
    libreoffice
    gnome3.simple-scan
    # Propietary
    skypeforlinux
    # Mail stack
    neomutt
    isync
    notmuch
    msmtp
    imapnotify
    w3m
    urlscan
    # Media
    gimp
    mpv
    nodePackages.webtorrent-cli
    transmission-gtk
    youtube-dl-light
    # File management
    zip
    unzip
    unrar
  ];

  # Fonts declaration
  fonts = {
    fonts = with pkgs; [
      google-fonts
      emacs-all-the-icons-fonts
      terminus-nerdfont
    ];
  };

}
